summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author spookydonut <sbo@spooksoftware.com>2019-10-12 07:43:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-10-12 07:43:36 +0700
commita4608e6c43295ddc10b58d7c0a9ccc04ad788faa (patch)
tree20b2f273393e22d9eedb393057de68ae731c6488
parentf95ead6d1823e6445520c2ab8ceb1a0f24791379 (diff)
downloadslackbuilds-a4608e6c43295ddc10b58d7c0a9ccc04ad788faa.tar.gz
slackbuilds-a4608e6c43295ddc10b58d7c0a9ccc04ad788faa.tar.xz
system/znapzend: Added (zfs backup helper tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/znapzend/README10
-rw-r--r--system/znapzend/slack-desc18
-rw-r--r--system/znapzend/znapzend.SlackBuild103
-rw-r--r--system/znapzend/znapzend.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/system/znapzend/README b/system/znapzend/README
new file mode 100644
index 0000000000..89a0ee889a
--- /dev/null
+++ b/system/znapzend/README
@@ -0,0 +1,10 @@
+ZnapZend is a ZFS centric backup tool to create snapshots and send
+ them to backup locations. It relies on the ZFS tools snapshot,
+ send and receive to do its work. It has the built-in ability to
+ manage both local snapshots as well as remote copies by thinning
+ them out as time progresses.
+
+The ZnapZend configuration is stored as properties in the ZFS
+ filesystem itself.
+
+Does not require zfs but is mostly useless without it.
diff --git a/system/znapzend/slack-desc b/system/znapzend/slack-desc
new file mode 100644
index 0000000000..bce758c963
--- /dev/null
+++ b/system/znapzend/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+znapzend: znapzend (zfs backup helper tool)
+znapzend:
+znapzend: ZnapZend is a ZFS centric backup tool to create snapshots and send
+znapzend: them to backup locations. It relies on the ZFS tools snapshot, send
+znapzend: and receive to do its work. It has the built-in ability to manage
+znapzend: both local snapshots as well as remote copies by thinning them out
+znapzend: as time progresses.
+znapzend:
+znapzend: https://github.com/oetiker/znapzend
+znapzend:
diff --git a/system/znapzend/znapzend.SlackBuild b/system/znapzend/znapzend.SlackBuild
new file mode 100644
index 0000000000..7875648231
--- /dev/null
+++ b/system/znapzend/znapzend.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh -e
+
+# Slackware build script for znapzend
+
+# revision 2019/10/08 - spookydonut
+
+# Copyright 2019 spookydonut
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=znapzend
+VERSION=${VERSION:-0.19.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS CHANGES COPYRIGHT LICENSE README VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/znapzend/znapzend.info b/system/znapzend/znapzend.info
new file mode 100644
index 0000000000..d5f555c555
--- /dev/null
+++ b/system/znapzend/znapzend.info
@@ -0,0 +1,10 @@
+PRGNAM="znapzend"
+VERSION="0.19.1"
+HOMEPAGE="https://www.znapzend.org/"
+DOWNLOAD="https://github.com/oetiker/znapzend/releases/download/v0.19.1/znapzend-0.19.1.tar.gz"
+MD5SUM="65337c4de882972970b7c44bc40ecb3a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="spookydonut"
+EMAIL="sbo@spooksoftware.com"